#ifndef ACKPKG_H_DEF
#define ACKPKG_H_DEF

#include "TelepatiPkg.h"

using namespace std;

/**implementa il messaggio di Acknowledgmet.
    
Struttura: e' composto esclusivamente dall'header standard
*/
class AckPkg : public TelepatiPkg {
 public:
  /**Costruttore ordinario. @param a aibo di destinazione @param
     serialAck numero seriale dell'Acknowledment*/
  AckPkg(int a, unsigned short serialAck);
  /**Costruisce l'oggetto a partire dall'array restituito da
     getMsg(). @param ptr puntatore all'array di byte. @see
     getMsg()*/
  AckPkg(byte* ptr);

  /** Distruttore di default*/
  virtual ~AckPkg();

  /** Clonatore. Restituisce un clone dell'oggetto su cui e'
      chiamato.*/
  virtual TelepatiPkg* clone();
  /** Ritorna un array che rappresenta l'oggetto. Costruisce un array
      che rappresenta l'oggetto, l'array corrisponde ai dati spediti
      via rete. @return array di byte. @see AckPkg(byte* ptr)*/
  byte* getMsg();  
};

#endif
